import edu.rice.cs.mint.runtime.*;

public class CheckedExceptionInBracketsSample {
    public static separable void m() throws Throwable {
        throw new java.io.IOException("foo");
    }
    public void run() {
        SafeCode<Void> ct2 = <| { m(); } |>;
        ct2.run();
    }
    public static void main (String [] args) {
        new CheckedExceptionInBracketsSample().run();
    }
}
